#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n,k,i,x;
    scanf("%d %d",&n,&k);
    int a[n];
    for(i=0;i<n;i++)
    {
        scanf("%d",&a[i]);
        if(a[i]==k)
        {
            x=i;
        }
    }
    if(x==n-1)
    {
        printf("%d",a[0]);
    }
    if(x!=n-1)
    {
        printf("%d",a[x+1]);
    }
    return 0;
}